weka.core.converters

## Class C45Saver

- java.lang.Object
- - weka.core.converters.AbstractSaver
  - - weka.core.converters.AbstractFileSaver
    - - weka.core.converters.C45Saver

- All Implemented Interfaces:
    java.io.Serializable, CapabilitiesHandler, CapabilitiesIgnorer, BatchConverter, FileSourcedConverter, IncrementalConverter, Saver, EnvironmentHandler, OptionHandler, RevisionHandler

      public class C45Saver
      extends AbstractFileSaver
      implements BatchConverter, IncrementalConverter, OptionHandler

  Writes to a destination that is in the format used by the C4.5 algorithm.
  Therefore it outputs a names and a data file.

  Valid options are:

       -i <the input file>
       The input file

       -o <the output file>
       The output file

       -c <the class index>
       The class index

  Version:
    $Revision: 10203 $
  Author:
    Stefan Mutter (mutter@cs.waikato.ac.nz)
  See Also:
    `Saver`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface weka.core.converters.Saver

      `BATCH, INCREMENTAL, NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `C45Saver()` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Capabilities` | `getCapabilities()` Returns the Capabilities of this saver.
    `java.lang.String` | `getFileDescription()` Returns a description of the file type.
    `java.lang.String[]` | `getOptions()` Gets the current settings of the C45Saver object.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `globalInfo()` Returns a string describing this Saver
    `java.util.Enumeration<Option>` | `listOptions()` Returns an enumeration describing the available options.
    `static void` | `main(java.lang.String[] args)` Main method.
    `void` | `resetOptions()` Resets the Saver
    `void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
    `void` | `writeBatch()` Writes a Batch of instances
    `void` | `writeIncremental(Instance inst)` Saves an instances incrementally.

    - ### Methods inherited from class weka.core.converters.AbstractFileSaver

      `cancel, filePrefix, getFileExtension, getFileExtensions, getUseRelativePath, getWriter, resetWriter, retrieveDir, retrieveFile, runFileSaver, setDestination, setDestination, setDir, setDirAndPrefix, setEnvironment, setFile, setFilePrefix, setUseRelativePath, useRelativePathTipText`

    - ### Methods inherited from class weka.core.converters.AbstractSaver

      `doNotCheckCapabilitiesTipText, getDoNotCheckCapabilities, getInstances, getWriteMode, resetStructure, setDoNotCheckCapabilities, setInstances, setRetrieval, setStructure`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C45Saver

          public C45Saver()

      Constructor

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing this Saver
      Returns:
        a description of the Saver suitable for displaying in the explorer/experimenter gui

    - #### getFileDescription

          public java.lang.String getFileDescription()

      Returns a description of the file type.
      Specified by:
        `getFileDescription` in interface `FileSourcedConverter`
      Specified by:
        `getFileDescription` in class `AbstractFileSaver`
      Returns:
        a short file description

    - #### resetOptions

          public void resetOptions()

      Resets the Saver
      Overrides:
        `resetOptions` in class `AbstractFileSaver`

    - #### getCapabilities

          public Capabilities getCapabilities()

      Returns the Capabilities of this saver.
      Specified by:
        `getCapabilities` in interface `CapabilitiesHandler`
      Overrides:
        `getCapabilities` in class `AbstractSaver`
      Returns:
        the capabilities of this object
      See Also:
        `Capabilities`

    - #### writeIncremental

          public void writeIncremental(Instance inst)
                                throws java.io.IOException

      Saves an instances incrementally. Structure has to be set by using the setStructure() method or setInstances() method.
      Specified by:
        `writeIncremental` in interface `Saver`
      Overrides:
        `writeIncremental` in class `AbstractSaver`
      Parameters:
        `inst` - the instance to save
      Throws:
        `java.io.IOException` - throws IOEXception if an instance cannot be saved incrementally.

    - #### writeBatch

          public void writeBatch()
                          throws java.io.IOException

      Writes a Batch of instances
      Specified by:
        `writeBatch` in interface `Saver`
      Specified by:
        `writeBatch` in class `AbstractSaver`
      Throws:
        `java.io.IOException` - throws IOException if saving in batch mode is not possible

    - #### listOptions

          public java.util.Enumeration<Option> listOptions()

      Returns an enumeration describing the available options.
      Specified by:
        `listOptions` in interface `OptionHandler`
      Overrides:
        `listOptions` in class `AbstractFileSaver`
      Returns:
        an enumeration of all the available options.

    - #### setOptions

          public void setOptions(java.lang.String[] options)
                          throws java.lang.Exception

      Parses a given list of options.

      Valid options are:

           -i <the input file>
           The input file

           -o <the output file>
           The output file

           -c <the class index>
           The class index

      Specified by:
        `setOptions` in interface `OptionHandler`
      Overrides:
        `setOptions` in class `AbstractFileSaver`
      Parameters:
        `options` - the list of options as an array of strings
      Throws:
        `java.lang.Exception` - if an option is not supported

    - #### getOptions

          public java.lang.String[] getOptions()

      Gets the current settings of the C45Saver object.
      Specified by:
        `getOptions` in interface `OptionHandler`
      Overrides:
        `getOptions` in class `AbstractFileSaver`
      Returns:
        an array of strings suitable for passing to setOptions

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      Main method.
      Parameters:
        `args` - should contain the options of a Saver.